Bug 228038 - String concatenation expression marked as error
String concatenation expression marked as error
Status: VERIFIED FIXED
Product: javaee
Classification: Unclassified
Component: Expression Language
7.3.1
All All
: P3 (vote)
: 7.3.1
Assigned To: Martin Fousek
issues@javaee
73patch2-verified
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2013-03-28 12:01 UTC by Vladimir Riha
Modified: 2013-05-09 13:56 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Vladimir Riha 2013-03-28 12:01:02 UTC
Please try

${"A"+="B"}

in either JSF or JSP and it is marked as error although it works (after deploy I can verify it in browser)



Product Version: NetBeans IDE Dev (Build web-main-javaee7-193-on-20130328)
Java: 1.7.0_17; Java HotSpot(TM) Client VM 23.7-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_17-b32
System: Linux version 3.2.0-39-generic-pae running on i386; UTF-8; en_US (nb)
Comment 1 Martin Fousek 2013-04-16 08:17:33 UTC
Fixed by JSP parser update and EL update:
web-main #8e65933a9cce
web-main #4d1493f83a57
Comment 2 Quality Engineering 2013-04-18 02:21:16 UTC
Integrated into 'main-golden', will be available in build *201304172301* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main-golden/rev/8e65933a9cce
User: Martin Fousek <marfous@netbeans.org>
Log: #228038 - String concatenation expression marked as error: updated EL library
Comment 3 Quality Engineering 2013-04-19 01:18:39 UTC
Integrated into 'releases', will be available in build *201304182201* or newer. Wait for official and publicly available build.
Changeset: http://hg.netbeans.org/releases/rev/8e65933a9cce
User: Martin Fousek <marfous@netbeans.org>
Log: #228038 - String concatenation expression marked as error: updated EL library
Comment 4 Vladimir Riha 2013-04-23 14:54:21 UTC
Thanks, verified


Product Version: NetBeans IDE 7.3.1 (Build 201304222201)
Java: 1.6.0_45; Java HotSpot(TM) Client VM 20.45-b01
Runtime: Java(TM) SE Runtime Environment 1.6.0_45-b06
System: Linux version 3.2.0-40-generic-pae running on i386; UTF-8; en_US (nb)
Comment 5 Vladimir Riha 2013-05-09 13:56:50 UTC
patch2 verified

Product Version: NetBeans IDE 7.3.1 (Build 201302132200)
Java: 1.7.0_21; Java HotSpot(TM) Client VM 23.21-b01
Runtime: Java(TM) SE Runtime Environment 1.7.0_21-b11
System: Linux version 3.2.0-41-generic-pae running on i386; UTF-8; en_US (nb)


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2014, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo